# SNESMonitorDefault

Monitors progress of the SNES solvers (default).

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESMonitorDefault(SNES snes,PetscInt its,PetscReal fgnorm,void *dummy)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| dummy | - unused context

### Notes

This routine prints the residual norm at each iteration.

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

Level:intermediate
Location: src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages